Download it now!
Bug 74453 - EDITING Problem after copying a sheet into the same document: reference is lost
Summary: EDITING Problem after copying a sheet into the same document: reference is lost
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: target:4.3.0 target:4.2.1
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-02-03 16:32 UTC by Herbert Geiger
Modified: 2014-02-27 15:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample for Copyproblem (42.46 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-02-03 16:33 UTC, Herbert Geiger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Herbert Geiger 2014-02-03 16:32:17 UTC
After copying a table (ES4 2015) into the same document (ES4 2015_2) the reference to (ES4 Durchschnitt) ist lost!

Copying into a new document works well
Comment 1 Herbert Geiger 2014-02-03 16:33:54 UTC
Created attachment 93296 [details]
Sample for Copyproblem
Comment 2 Dominique Boutry 2014-02-05 12:37:12 UTC
The provided attachment shows #NAME? errors, my copy shows #REF! errors.

Kept on UNCONFIRMED because reproduced on same LibO version and same OS.
Comment 3 Herbert Geiger 2014-02-05 14:25:55 UTC
What you've seen is only the half truth.

e.g the content of cell 'ES4 2015_2'.b5 is =$#REF!.C5 which results into a #NAME?. The content of cell 'ES4 2015'.b5 (the source) is =$'ES4 Durchschnitt'.C5.
For this I've reported a #REF!.

br

Herbert
Comment 4 Herbert Geiger 2014-02-05 15:04:16 UTC
Hi Dominique,

please close your testfile and reopen it. you'll see one of the wonders of the IT.
Comment 5 Herbert Geiger 2014-02-05 15:14:43 UTC
just to trigger notiycation of Dominique
Comment 6 Dominique Boutry 2014-02-08 08:08:55 UTC
Status set to NEW
Comment 7 Kohei Yoshida 2014-02-08 19:36:49 UTC
I'm on it.
Comment 8 Commit Notification 2014-02-08 20:10:56 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ac5682aa3013550e3643026c571b5d851b9e7b67

fdo#74453: Write unit test for this.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2014-02-08 20:11:11 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1556dbc451f067d8744378fb9bac0eaa7ef8f5ac

fdo#74453: Only adjust tokens for top formula cells of formula group.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Kohei Yoshida 2014-02-08 20:11:31 UTC
4.2 backport request: https://gerrit.libreoffice.org/7946
Comment 11 Commit Notification 2014-02-09 17:22:06 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5674cf16d2e053ac0590e665310683654b1036d7&h=libreoffice-4-2

fdo#74453: Only adjust tokens for top formula cells of formula group.


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Kohei Yoshida 2014-02-09 17:48:09 UTC
Fixed.
Comment 13 Herbert Geiger 2014-02-14 12:06:30 UTC
br to the LO-Team.

Today I've tested with the the daily build "libo-42~2014-02-13_00.44.34".
The reported problem is resolved.